package com.cidat.proclets;

public class TryCatchProclet implements Proclet {
	Proclet tryProclet = null;
	Proclet catchProclet = null;

	public TryCatchProclet(Proclet aTryProclet, Proclet aCatchProclet) {
		this.tryProclet = aTryProclet;
		this.catchProclet = aCatchProclet;
	}

	public void process(ProcletServiceData sd) throws ProcletException {
		try {
			this.tryProclet.process(sd);
		} catch (ProcletException e) {
			this.catchProclet.process(sd);
		}
	}
}

/*
 * Location:
 * D:\svn\ejie\q53.trunk\codigo\q53\q53ItourbaskWar\WebContent\WEB-INF\
 * lib\proclets_wl81.jar Qualified Name: com.cidat.proclets.TryCatchProclet
 * JD-Core Version: 0.6.0
 */